import * as z from 'zod';
export const CommunicationFindUniqueResultSchema = z.nullable(z.object({
  id: z.number().int(),
  patientId: z.number().int(),
  userId: z.number().int().optional(),
  channel: z.unknown(),
  direction: z.unknown(),
  status: z.unknown(),
  body: z.string().optional(),
  callDuration: z.number().int().optional(),
  twilioSid: z.string().optional(),
  createdAt: z.date(),
  patient: z.unknown(),
  user: z.unknown().optional()
}));